build.sh 592 Bytes
Newer Older
Yann Garcia's avatar
Yann Garcia committed
#!/bin/bash
# Copyright ETSI 2018-2020
# See: https://forge.etsi.org/etsi-forge-copyright-statement.txt

set -e
set -vx

# Temporary: Remove TTF002 image
docker image rm --force ttf002_its
Yann Garcia's avatar
Yann Garcia committed

#check and build stfubuntu image
if [ -z `docker images -q stfubuntu` ]; then
  docker build --no-cache --tag stfubuntu:18.04 -f Dockerfile.stfubuntu --force-rm  . || exit 1
fi

docker build --no-cache --tag ttf002_its --force-rm  . || ( echo "Docker build failed: $?"; exit 1 )

docker images
docker inspect ttf002_its:latest || ( echo "Docker inspect failed: $?"; exit 1 )

# That's all Floks
exit 0